create or replace procedure display_call_stack
is
	l_dynamic_depth	pls_integer := utl_call_stack.dynamic_depth;
begin
	-- dbms_output.put_line(dbms_utility.format_call_stack);
	for i in reverse 1..l_dynamic_depth loop
		dbms_output.put_line (
                    lpad(to_char(i,'99'),3)
                    ||' '||
		    utl_call_stack.owner(i)
		    ||'.'||
                    utl_call_stack.concatenate_subprogram (utl_call_stack.subprogram (i))
		    ||' ('||
                    utl_call_stack.unit_line(i)
		    ||') '
                );
	end loop;
end;
/
