create or replace function get_counts_by_birthyear
(
	p_year_of_birth	in varchar2
)
return pls_integer
result_cache
authid current_user
as
	l_cnt	pls_integer;
begin
	select count(1)
	into l_cnt
	from arup.accounts
	where to_char(birthday,'yy') = p_year_of_birth;
	return l_cnt;
end;
/
