update /*+ WITH_PLSQL */ accounts a
set interest = (
	with
   function get_bonus_amount
(
   p_accno in number
)
return number
is
   l_bonus         number;
begin
   select
           0.01 * principal +
           0.02 * interest +
           0.10 * (sysdate - created_dt) * 10 +
           0.05 * (sysdate - birthday) * 10
   into l_bonus
   from accounts
   where accno = p_accno;
   return l_bonus;
end;
   select get_bonus_amount(a.accno) from dual
)
where a.accno in (3,5,9)
/
