create or replace function get_bonus_amount
(
	p_accno	in accounts.accno%type
)
return number
is
	l_bonus 	number;
begin
	select
		0.01 * principal +
		0.02 * interest +
		0.10 * (sysdate - created_dt) * 10 +
		0.05 * (sysdate - birthday) * 10
	into l_bonus
	from accounts
	where accno = p_accno;
	return l_bonus;
end;
/
