create or replace procedure show_avg_int_for_65yrs
as
    l_avg_int       number;
begin
    select accno, interest
    bulk collect into pkg_acc.rec_int
    from accounts
    where sysdate - birthday > 65*365;
    select get_avg_int_accnolist(pkg_acc.rec_int)
    into l_avg_int
    from dual;
    dbms_output.put_line('Ver 1: The average interest for 65 and more is '||l_avg_int);
    execute immediate 'select get_avg_int_accnolist (:var1) from dual'
   into l_avg_int
   using pkg_acc.rec_int;
    dbms_output.put_line('Ver 2: The average interest for 65 and more is '||l_avg_int);
end;
/
set serveroutput on size unlimited
prompt Let's execute now
exec show_avg_int_for_65yrs
