create or replace procedure show_avg_int_for_65yrs
as
    l_avg_int       number;
	l_tot_accs	number;
begin
    select accno, interest
    bulk collect into pkg_acc.rec_int
    from accounts
    where sysdate - birthday > 65*365;
	select avg(interest), count(1) 
	into l_avg_int, l_tot_accs
	from table(pkg_acc.rec_int);
	dbms_output.put_line('Ver 3: The average interest for 65 and more is '||l_avg_int);
end;
/
set serveroutput on size unlimited
prompt Let's execute now
exec show_avg_int_for_65yrs
